| Box2D 2.3.0 A 2D Physics Engine for Games

Public Attributes | List of all members
b2MouseJointDef Struct Reference

`#include <b2MouseJoint.h>`

Inheritance diagram for b2MouseJointDef:

## Public Attributes
b2Vec2 | target
float32 | maxForce
float32 | frequencyHz
| The response speed.
float32 | dampingRatio
| The damping ratio. 0 = no damping, 1 = critical damping.
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Mouse joint definition. This requires a world target point, tuning parameters, and the time step.

## Member Data Documentation

## ◆ maxForce

float32 b2MouseJointDef::maxForce

The maximum constraint force that can be exerted to move the candidate body. Usually you will express as some multiple of the weight (multiplier * mass * gravity).

## ◆ target

b2Vec2 b2MouseJointDef::target

The initial world target point. This is assumed to coincide with the body anchor initially.

The documentation for this struct was generated from the following file:

- b2MouseJoint.h